LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE    := libspb

LOCAL_SRC_FILES := \
		../../spBase.c \
		../../spString.c \
		../../spMemory.c \
		../../spOption.c \
		../../spFile.c \
		../../spDirectory.c \
		../../spLibrary.c \
		../../spKanji.c \
		../../spThread.c \
		../../spPSFile.c \
		../../spPlugin.c 

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
#LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
LOCAL_CFLAGS += -ffast-math
endif

LOCAL_C_INCLUDES := $(LOCAL_PATH)/../..
LOCAL_CFLAGS += -DANDROID -DHAVE_PTHREAD $(LOCAL_C_INCLUDES:%=-I%)

include $(BUILD_STATIC_LIBRARY)
